package com.jeequan.jeepay.core.interfaces.paychannel;

import com.alibaba.fastjson.JSONObject;
import com.jeequan.jeepay.core.entity.MchApplyment;
import com.jeequan.jeepay.core.entity.MchModifyApplyment;
import com.jeequan.jeepay.core.model.rqrs.msg.ChannelRetMsg;

/***
* 商户进件接口
*
* @author terrfly
*
* @date 2021/12/30 11:36
*/
public interface IYsApplymentApiService {

    /** 图片上传 **/
    MchApplyment uploadImg(MchApplyment mchApplyment);

    /** 提交审核 **/
    MchApplyment attachConfirm(MchApplyment mchApplyment);

    /** 合同签约申请 **/
    MchApplyment signApply(JSONObject reqParamJSON, MchApplyment mchApplyment);

    /**
     * 签约重发
     **/
    MchApplyment signSendAgain(JSONObject reqParamJSON, MchApplyment mchApplyment);

    /** 合同签约查询 **/
    MchApplyment signQuery(MchApplyment dbRecord);

    /**
     * 签约重发
     **/
    MchModifyApplyment signSendAgain(JSONObject reqParamJSON, MchModifyApplyment modifyApplyment);

    /** 支付费率配置 **/
    MchApplyment payRateConfig(JSONObject reqParamJSON, MchApplyment mchApplyment);

    /** 绑定微信appId **/
    ChannelRetMsg configBindAppId(String configVal, String mchAppId, MchApplyment mchApplyment);

    /** 设置关注公众号appId **/
    ChannelRetMsg configSubscribeAppId(String configVal, String mchAppId, MchApplyment mchApplyment);

    /** 设置微信 支付授权目录 **/
    ChannelRetMsg configPayBaseUrl(String configVal, String mchAppId, MchApplyment mchApplyment);

}
